Bug 126483 - large argv[0] are not handled correctly
Summary: large argv[0] are not handled correctly
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ia32el   
(Show other bugs)
Version: 3.0
Hardware: ia64 Linux
medium
high
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-22 11:03 UTC by Yoav Zach
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version: 1.0-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-02 17:51:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes the problem of shift_argv() (786 bytes, patch)
2004-06-22 11:06 UTC, Yoav Zach
no flags Details | Diff

Description Yoav Zach 2004-06-22 11:03:33 UTC
Description of problem:
There is a problem in the function that shifts the argument vector - 
shift_argv() in btlib_main.c, which causes 32 bit processes with 
large argv[0] to have their argv messed up.

Version-Release number of selected component (if applicable):
libia32x.so - 4602

How reproducible:
Run 32 bit binary on the of IA-32 EL and pass it a very large argv[0].

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Yoav Zach 2004-06-22 11:06:15 UTC
Created attachment 101326 [details]
fixes the problem of shift_argv()


Note You need to log in before you can comment on or make changes to this bug.